## org.gnu.gdk
Class Screen

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gdk.Screen

public class Screen
extends GObject

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`Screen()`
`Screen(Handle handle)`

Method Summary
`void` `broadcastClientMessage(Event evt)`
`protected static void` `gdk_screen_broadcast_client_message(Handle screen, Handle event)`
`protected static Handle` `gdk_screen_get_default_colormap(Handle screen)`
`protected static Handle` `gdk_screen_get_default()`
`protected static Handle` `gdk_screen_get_display(Handle screen)`
`protected static int` `gdk_screen_get_height_mm(Handle screen)`
`protected static int` `gdk_screen_get_height(Handle screen)`
`protected static int` `gdk_screen_get_monitor_at_point(Handle screen, int x, int y)`
`protected static int` `gdk_screen_get_monitor_at_window(Handle screen, Handle window)`
`protected static void` `gdk_screen_get_monitor_geometry(Handle screen, int monitorNum, Handle rect)`
`protected static int` `gdk_screen_get_n_monitors(Handle screen)`
`protected static int` `gdk_screen_get_number(Handle screen)`
`protected static Handle` `gdk_screen_get_rgb_colormap(Handle screen)`
`protected static Handle` `gdk_screen_get_rgb_visual(Handle screen)`
`protected static Handle` `gdk_screen_get_root_window(Handle screen)`
`protected static boolean` `gdk_screen_get_setting(Handle screen, java.lang.String name, Handle value)`
`protected static Handle` `gdk_screen_get_system_colormap(Handle screen)`
`protected static Handle` `gdk_screen_get_system_visual(Handle screen)`
`protected static Handle[]` `gdk_screen_get_toplevel_windows(Handle screen)`
`protected static int` `gdk_screen_get_type()` BEGINNING OF JNI CODE
`protected static int` `gdk_screen_get_width_mm(Handle screen)`
`protected static int` `gdk_screen_get_width(Handle screen)`
`protected static Handle[]` `gdk_screen_list_visuals(Handle screen)`
`protected static java.lang.String` `gdk_screen_make_display_name(Handle screen)`
`protected static void` `gdk_screen_set_default_colormap(Handle screen, Handle colormap)`
`Visual` `gdtSystemVisual()`
`Colormap` `getDefaultColormap()`
`Display` `getDisplay()`
`int` `getHeight()`
`int` `getHeightMM()`
`int` `getMonitorAtPoint(int x, int y)`
`int` `getMonitorAtWindow(Window win)`
`Rectangle` `getMonitorGeometry(int monitorNum)`
`int` `getNumber()`
`int` `getNumMonitors()`
`Colormap` `getRGBColormap()`
`Visual` `getRGBVisual()`
`Window` `getRootWindow()`
`Colormap` `getSystemColormap()`
`Window[]` `getToplevelWindows()`
`int` `getWidth()`
`int` `getWidthMM()`
`Visual[]` `ListVisuals()`
`java.lang.String` `makeDisplayName()`
`void` `setDefaultColormap(Colormap colormap)`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Screen

    public Screen()

### Screen

    public Screen(Handle handle)

Method Detail

### getDefaultColormap

    public Colormap getDefaultColormap()

### setDefaultColormap

    public void setDefaultColormap(Colormap colormap)

### getSystemColormap

    public Colormap getSystemColormap()

### gdtSystemVisual

    public Visual gdtSystemVisual()

### getRGBColormap

    public Colormap getRGBColormap()

### getRGBVisual

    public Visual getRGBVisual()

### getRootWindow

    public Window getRootWindow()

### getDisplay

    public Display getDisplay()

### getNumber

    public int getNumber()

### getHeight

    public int getHeight()

### getWidth

    public int getWidth()

### getHeightMM

    public int getHeightMM()

### getWidthMM

    public int getWidthMM()

### ListVisuals

    public Visual[] ListVisuals()

### getToplevelWindows

    public Window[] getToplevelWindows()

### makeDisplayName

    public java.lang.String makeDisplayName()

### getNumMonitors

    public int getNumMonitors()

### getMonitorGeometry

    public Rectangle getMonitorGeometry(int monitorNum)

### getMonitorAtPoint

    public int getMonitorAtPoint(int x,
                                 int y)

### getMonitorAtWindow

    public int getMonitorAtWindow(Window win)

### broadcastClientMessage

    public void broadcastClientMessage(Event evt)

### gdk_screen_get_type

    protected static final int gdk_screen_get_type()

  BEGINNING OF JNI CODE

### gdk_screen_get_default_colormap

    protected static final Handle gdk_screen_get_default_colormap(Handle screen)

### gdk_screen_set_default_colormap

    protected static final void gdk_screen_set_default_colormap(Handle screen,
                                                                Handle colormap)

### gdk_screen_get_system_colormap

    protected static final Handle gdk_screen_get_system_colormap(Handle screen)

### gdk_screen_get_system_visual

    protected static final Handle gdk_screen_get_system_visual(Handle screen)

### gdk_screen_get_rgb_colormap

    protected static final Handle gdk_screen_get_rgb_colormap(Handle screen)

### gdk_screen_get_rgb_visual

    protected static final Handle gdk_screen_get_rgb_visual(Handle screen)

### gdk_screen_get_root_window

    protected static final Handle gdk_screen_get_root_window(Handle screen)

### gdk_screen_get_display

    protected static final Handle gdk_screen_get_display(Handle screen)

### gdk_screen_get_number

    protected static final int gdk_screen_get_number(Handle screen)

### gdk_screen_get_height

    protected static final int gdk_screen_get_height(Handle screen)

### gdk_screen_get_width

    protected static final int gdk_screen_get_width(Handle screen)

### gdk_screen_get_height_mm

    protected static final int gdk_screen_get_height_mm(Handle screen)

### gdk_screen_get_width_mm

    protected static final int gdk_screen_get_width_mm(Handle screen)

### gdk_screen_list_visuals

    protected static final Handle[] gdk_screen_list_visuals(Handle screen)

### gdk_screen_get_toplevel_windows

    protected static final Handle[] gdk_screen_get_toplevel_windows(Handle screen)

### gdk_screen_make_display_name

    protected static final java.lang.String gdk_screen_make_display_name(Handle screen)

### gdk_screen_get_n_monitors

    protected static final int gdk_screen_get_n_monitors(Handle screen)

### gdk_screen_get_monitor_geometry

    protected static final void gdk_screen_get_monitor_geometry(Handle screen,
                                                                int monitorNum,
                                                                Handle rect)

### gdk_screen_get_monitor_at_point

    protected static final int gdk_screen_get_monitor_at_point(Handle screen,
                                                               int x,
                                                               int y)

### gdk_screen_get_monitor_at_window

    protected static final int gdk_screen_get_monitor_at_window(Handle screen,
                                                                Handle window)

### gdk_screen_broadcast_client_message

    protected static final void gdk_screen_broadcast_client_message(Handle screen,
                                                                    Handle event)

### gdk_screen_get_default

    protected static final Handle gdk_screen_get_default()

### gdk_screen_get_setting

    protected static final boolean gdk_screen_get_setting(Handle screen,
                                                          java.lang.String name,
                                                          Handle value)